> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query active horizon agent status

> Success

### Path parameters

<ParamField path="workflow_id" type="string (string)" required />

### Response

`ActiveHorizonAgentStatus`

<ResponseField name="release_id" type="string (uuid)" />

<ResponseField name="recipe_key" type="string" />

<ResponseField name="recipe_version" type="integer" />

<ResponseField name="goal" type="string" required />

<ResponseField name="status" type="string" required />

<ResponseField name="current_task_id" type="string" />

<ResponseField name="generation" type="integer" required />

<ResponseField name="turns_completed" type="integer" required />

<ResponseField name="failures" type="integer" required />

<ResponseField name="elapsed_active_secs" type="integer" required />

<ResponseField name="active_window_secs" type="integer" required />

<ResponseField name="max_turns" type="integer" required />

<ResponseField name="tasks_remaining" type="integer" required />

<ResponseField name="paused" type="boolean" required />

<ResponseField name="cancelled" type="boolean" required />

<ResponseField name="steering_notes" type="string[]" required />

### Status codes

| Code  | Meaning          |
| ----- | ---------------- |
| `200` | Success          |
| `400` | Validation error |
| `401` | Unauthorized     |
| `404` | Not found        |
| `429` | Rate limited     |
| `500` | Internal error   |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.workstream.stateset.com/v1/workflows/active-horizon-agent/{workflow_id}/status' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "release_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "recipe_key": "string",
    "recipe_version": 1,
    "goal": "string",
    "status": "string",
    "current_task_id": "string",
    "generation": 1,
    "turns_completed": 1,
    "failures": 1,
    "elapsed_active_secs": 1,
    "active_window_secs": 1,
    "max_turns": 1,
    "tasks_remaining": 1,
    "paused": true,
    "cancelled": true,
    "steering_notes": [
      "string"
    ]
  }
  ```
</ResponseExample>
